# Boost Exception

## boost/exception/info.hpp

### Synopsis

    #include <boost/exception/exception.hpp>

    namespace
    boost
        {
        template <class Tag,class T>
        class
        error_info
            {
            public:

            typedef T value_type;

            error_info( value_type const & v );
            value_type const & value() const;
            value_type & value();
            };

        template <class E, class Tag, class T>
        E const & operator<<( E const & x, error_info<Tag,T> const & v );
        }

See also: boost/exception/all.hpp | boost/exception/info_tuple.hpp | error_info | error_info::error_info | error_info::value | error_info::value_type | exception/operator<< | Synopsis